#
# spec file for package ispell-slovak
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           ispell-slovak
BuildRequires:  ispell
Version:        0.3.2
Release:        149.5
Summary:        Slovak Ispell Dictionary
License:        GPL-2.0+
Group:          Productivity/Text/Spell
Url:            http://sk-spell.sk.cx/?id=4
Source:         ispell-sk-%{version}.tar.bz2
Source1:        slovak.el
Patch:          ispell-sk-%{version}-installdir.patch
Patch1:         ispell-sk-%{version}-encoding_readme.patch.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       ispell_dictionary islovak
Obsoletes:      islovak
Provides:       locale(ispell:sk)

%description
This packages includes a ready Slovak dictionary for ispell. A short
usage description for ispell is given in
/usr/share/doc/packages/ispell/README of the packages ispell. The
sources for this dictionary are included in the package dicts.

%prep
%setup -n ispell-sk-%{version}
# fix permissions
chmod 755 $RPM_BUILD_DIR/ispell-sk-%{version}
chmod 644 ./*
#
%patch
%patch1
#
install -m 644 %{S:1} .

%build
make

%install
make DESTDIR="$RPM_BUILD_ROOT" install
#
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/ispell/emacs
install -m 644 slovak.el $RPM_BUILD_ROOT/usr/lib/ispell/emacs/

%files
%defattr(-,root,root)
%doc AUTHORS CHANGELOG COPYING Copyright Descript.ion README* TODO
/usr/lib/ispell/slovak.*
/usr/lib/ispell/emacs/slovak.el

%changelog
* Sat Feb  4 2012 jengelh@medozas.de
- Remove redundant tags/sections (see specfile guidelines)
* Fri Aug  4 2006 lmichnovic@suse.cz
- update to version 0.3.2
  - removed install.sh, improved make clean
  - integration of 3 letters Slovak words
- renamed *.patch to *-installdir.patch
- recoded README.sk to make it readable in unicode envirovement
  (encoding_readme.patch.bz2)
* Fri Feb 24 2006 lmichnovic@suse.cz
- added Provides:  locale (ispell:sk)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Sep 16 2005 lmichnovic@suse.cz
- updated to version 0.3.0
* Thu Jan  6 2005 pmladek@suse.cz
- build an architecture dependent package; the hash table ondisk format
  depends on architecture (little/big endiannes, pointer size) [#49407]
* Wed Sep  1 2004 pmladek@suse.cz
- updated to version 0.2.2
* Thu Mar  4 2004 pmladek@suse.cz
- updated to version 0.2.1
  * license is GPL
* Mon Feb 23 2004 hmacht@suse.de
- building as non-root
* Tue Mar  5 2002 egmont@suselinux.hu
- Removed 'requires: ispell' (bug #13609)
* Thu Jan 24 2002 egmont@suselinux.hu
- Renamed to ispell-slovak
* Wed Mar 14 2001 werner@suse.de
- Use dynamic emacs menu feature of ispell package
  used by both emacs
- No spaces within file names
* Mon Feb 12 2001 cihlar@suse.cz
- package created
